typedef struct intHashTableItem
{
    int key;
    int value;
}

typedef struct intHashTable
{
    intHashTableItem** items;
    int size;
    int count;
}

intHashTable* createTable(int);
intHashTableItem* createIntHashTableItem(int key, int value);
void freeIntHashTableItem(intHashTableItem*);
void freeIntHashTable(intHashTable*);
void intHashTableInsert(intHashTable*, int, int);

